Bug 99604 - Draw: Modify --> Convert --> "To curve" or "To contour" does not work properly
Summary: Draw: Modify --> Convert --> "To curve" or "To contour" does not work properly
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.1.2.2 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium minor
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-01 12:09 UTC by Sergio
Modified: 2017-05-22 13:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
LibreDraw produce incorrect text-to-curve results (42.17 KB, image/png)
2016-05-01 12:17 UTC, Sergio
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergio 2016-05-01 12:09:43 UTC
User-Agent:       Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_4) AppleWebKit/601.5.17 (KHTML, like Gecko) Version/9.1 Safari/601.5.17
Build Identifier: LibreOffice 5.1.2.2

When I try to modify text box in LibreDraw (Modify --> Convert --> "To curve" or "To contour") I get broken text with bad size and position.

Reproducible: Always

Steps to Reproduce:
1.Type any text with spaces between words. Select this box.
2.Then modify the selected text with command "Modify"-->"Convert"-->"To curve" (or "To contour"
3.Get broken text in screen
Actual Results:  
the letters are small and narrow

Expected Results:  
The same text as I typed, but converted in curves

[Information automatically included from LibreOffice]
Locale: en-US
Module: DrawingDocument
[Information guessed from browser]
OS: Mac OS X (El Captain)
OS is 64bit: yes


Reset User Profile?Yes
Comment 1 Sergio 2016-05-01 12:17:19 UTC
Created attachment 124760 [details]
LibreDraw produce incorrect text-to-curve results
Comment 2 Buovjaga 2016-05-06 13:44:23 UTC
OS X -only. Could not reproduce on Linux.

Version: 5.1.2.2
Build ID: d3bf12ecb743fc0d20e0be0c58ca359301eb705f
CPU Threads: 4; OS Version: Mac OS X 10.11.4; UI Render: default; 
Locale: en-US (en.UTF-8)
Comment 3 QA Administrators 2017-05-22 13:40:40 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522